###gzip start
gzip on;#开启gzip压缩
gzip_min_length 1k;#设置最小压缩的页面大小，页面大小小于此值的话，不会被压缩。
gzip_comp_level 9;#gzip压缩级别，范围从1（最快）到9（最慢和最优）
gzip_types text/plain application/javascript application/x-javascript text/css application/xml text/javascript application/x-httpd-php image/jpeg image/gif image/png;#指定哪些类型的响应内容需要被压缩
gzip_vary on;#让Nginx发送 Vary: Accept-Encoding 头部，告诉代理响应是否根据请求头中的 Accept-Encoding 值变化
gzip_disable "MSIE [1-6]\.";#某些低端浏览器不支持gzip功能，对齐关闭此功能
gzip_proxied any;#无论请求是否经过代理服务器，都对其进行gzip压缩
###gizp end

###ssl param
ssl_session_timeout 5m;
ssl_protocols SSLv3 TLSv1 TLSv1.1 TLSv1.2;
ssl_ciphers "HIGH:!aNULL:!MD5 or HIGH:!aNULL:!MD5:!3DES";
ssl_prefer_server_ciphers on;
keepalive_timeout 600;
###ssl param
